#create-notes-fab {
  position: fixed;
  bottom: 5rem;
  right: 0rem;
  display: block;
}

#create-notes-warning,
#edit-notes-title-warning,
#edit-notes-tags-warning {
  display: none;
  font: var(--font-label-s);
  font-weight: 400;
  color: var(--color-on-tertiary-container);
}

#edit-topbar-leading {
  width: calc(100% - 9rem);
}

#edit-topbar-title {
  min-width: 1rem;
  padding: 0.25rem 0;
  border-bottom: 2px solid var(--color-on-tertiary-container);
}

/* NotesList */
#notes-noteslist--empty {
  opacity: 75%;
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  height: calc(100% - 9rem);
  color: var(--color-secondary);
  user-select: none;
  -webkit-user-select: none;
}

#notes-noteslist--empty:first-child {
  display: flex;
}

#notes-noteslist--empty__icon {
  font-size: 6.5rem;
}

#notes-noteslist--empty__text {
  font-size: 1.75rem;
  font-weight: 600;
}

.notes-noteslist__item {
  border-radius: 1.25rem;
  margin: 0.75rem 0;
  background: var(--color-surface);
  user-select: none;
  -webkit-user-select: none;
}

.notes-noteslist__item:first-child {
  margin-top: 4.5rem;
}

.notes-noteslist__item__label {
  display: flex;
  justify-content: space-between;
  padding: 1rem;
  cursor: pointer;
}

.notes-noteslist__item__info {
  overflow: hidden;
  padding-right: 1rem;
  flex: 1;
}

.notes-noteslist__item__title {
  display: block;
  font: var(--font-title-m);
}

.notes-noteslist__item__body {
  display: -webkit-box;
  margin: 0.25rem 0 0.125rem;
  overflow: hidden;
  font: var(--font-body-m);
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow-wrap: break-word;
}

.notes-noteslist__item__body:empty {
  margin: 0;
}

.notes-noteslist__item__date {
  display: flex;
  align-items: flex-end;
  font: var(--font-label-m);
}

.notes-noteslist__item__checkbox {
  display: none;
}

.notes-noteslist__item:is(:hover, :focus) {
  outline: none;
  background: var(--color-surface-e1);
}

.notes-noteslist__item:focus {
  border: 1px solid var(--color-tertiary);
}

.notes-noteslist__item--selected {
  background: var(--color-surface-e2);
}

.notes-noteslist__item--selected:is(:hover, :focus) {
  background: var(--color-surface-e3);
}

/* Edit notes */
#edit-notes-tags {
  margin: -0.5rem 0 0.25rem;
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
}

#edit-notes-body {
  border: none;
  margin: 0;
  height: calc(100% - 5rem);
  width: 100%;
  font: var(--font-body-l);
  font-weight: 400 !important;
}

#edit-notes-body:focus {
  outline: none;
}

/* Settings */
.settings-item {
  display: flex;
  flex-direction: column;
  border-radius: 1.25rem;
  margin: 0.75rem 0;
  padding: 1rem;
  cursor: pointer;
}

.settings-label {
  font: var(--font-title-l);
  color: var(--color-on-surface-variant);
}

.settings-item__icon {
  color: var(--color-on-surface-variant);
}

.settings-item__title {
  display: flex;
  font: var(--font-title-m);
  gap: 1rem;
}

.settings-item__desc {
  font: var(--font-body-m);
}

.settings-item:hover {
  background: var(--color-surface-e2);
}

.settings-color-section {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: 1rem 0;
}

.settings-color-section * {
  margin: 0;
}

#settings-fontsize-btn,
#settings-sortby-btn {
  position: absolute;
  right: 1rem;
  color: inherit;
}

.settings-fontsize-option .md3-menu__item__icon,
.settings-sortby-option .md3-menu__item__icon {
  color: transparent;
}

.settings-fontsize-selected .md3-menu__item__icon,
.settings-sortby-selected .md3-menu__item__icon {
  color: inherit;
}

.settings-shortcuts-section {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  margin: 1rem 0;
  gap: 2.5rem;
}

.settings-shortcuts-section * {
  margin: 0;
}

#credits {
  margin: 0 0.5rem 7.5rem 0;
  float: right;
  text-decoration: none;
  font: var(--font-label-l);
  color: var(--color-on-primary-container);
}

#credits:hover {
  color: var(--color-primary);
}
